@import url("/assets/css/app.css");

body {
  overflow: hidden auto;
  position: relative;
  display: flex;
  max-width: 1000px;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0 50px;
  padding-top: 150px;
  margin: auto;
  color: var(--color-black);
}

body::-webkit-scrollbar {
  display: none;
}

.logo {
  position: fixed;
  left: 20px;
  top: 30px;
  width: 80px;
  height: 35px;
  background: none;
  z-index: var(--z-index-50);
}

.navbar {
  position: fixed;
  right: 20px;
  top: 35px;
  width: 100%;
  height: 35px;
  background-color: transparent !important;
  display: flex;
  align-items: flex-end;
  z-index: var(--z-index-50);
}

h1 {
  display: flex;
  align-items: center;
  font-size: 100px;
  gap: 10px;
}

h1 img {
  width: 250px;
  height: auto;
  object-fit: contain;
}

h3 {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 30px;
  margin-top: 10px;
}

h3 div {
  color: var(--main-color);
  position: relative;
  display: flex;
  align-items: center;
}

h3 div.typing::after {
  content: "";
  width: 2px;
  height: 100%;
  border-radius: var(--border-radius);
  background: var(--main-color) !important;
  position: absolute;
  top: 0;
  right: 0;
}

.searchbar {
  width: 80%;
  height: 95px;
  margin-top: 60px;
  position: sticky;
  top: 0;
  z-index: var(--z-index-50);
}

.framebody {
  width: 100%;
  height: 75vh;
}

.framebody iframe {
  width: 100%;
  height: 100%;
}
